> ## Documentation Index
> Fetch the complete documentation index at: https://docs.connect.fastenhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Catalog Brands

> Search for healthcare institutions supported by Fasten Connect. 

<Note>
This is used to display branding information in the Stitch.js popup widget.
This API not required, unless you are building a custom widget.
</Note>

<Warning>
This API is rate limited and is subject to change. **Please contact support@fastenhealth.com before use.**
</Warning>



## OpenAPI

````yaml POST /bridge/catalog/search
openapi: 3.0.1
info:
  title: Fasten Connect
  description: >-
    Useful links:

    - [Fasten Connect API
    repository](https://github.com/fastenhealth/fasten-connect-api)

    - [Fasten Connect Developer
    Portal](https://github.com/fastenhealth/fasten-connect-app)
  termsOfService: https://www.fastenhealth.com/
  contact:
    email: connect@fastenhealth.com
  license:
    name: Private
  version: 1.0.11
servers:
  - url: https://api.connect.fastenhealth.com/v1/
    description: Use this server for both live and test mode.
security: []
tags:
  - name: auth
    description: Portal Authentication & Signup
  - name: user
    description: Operations about user
  - name: org
    description: Operations about organization
  - name: bridge
    description: Customer (organization) facing APIs
  - name: catalog
    description: Catalog APIs
externalDocs:
  description: Find out more about Fasten Connect
  url: https://www.fastenhealth.com/
paths:
  /bridge/catalog/search:
    post:
      tags:
        - bridge
      description: >-
        Search for healthcare institutions supported by Fasten Connect. 


        <Note>

        This is used to display branding information in the Stitch.js popup
        widget.

        This API not required, unless you are building a custom widget.

        </Note>


        <Warning>

        This API is rate limited and is subject to change. **Please contact
        support@fastenhealth.com before use.**

        </Warning>
      parameters:
        - name: api_mode
          in: query
          description: API Mode, used to filter institutions during search.
          required: true
          schema:
            type: string
        - name: public_id
          in: query
          description: >-
            Public ID for Organization credential. See Authentication for more
            information
          required: true
          schema:
            type: string
      requestBody:
        description: Search for healthcare institution
        content:
          application/json:
            schema:
              type: object
              properties:
                searchAfter:
                  type: array
                  items:
                    type: string
                  description: Pagination information
                  example:
                    - '0.018018503'
                    - athena
                    - athena
                query:
                  type: string
                  description: Search Query
                  example: athena
        required: true
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    $ref: '#/components/schemas/LighthouseCatalogSearchResults'
components:
  schemas:
    LighthouseCatalogSearchResults:
      type: object
      properties:
        hits:
          type: object
          properties:
            total:
              type: object
              properties:
                value:
                  type: integer
                  example: 1
            hits:
              type: array
              items:
                type: object
                properties:
                  _type:
                    type: string
                    example: _doc
                  _id:
                    type: string
                    example: 8d4136dd-31b6-4a65-88a0-7ea22a2b16d6
                  _score:
                    type: number
                    example: 1
                  sort:
                    type: array
                    items:
                      type: string
                    example:
                      - 0.018018503
                      - athena
                      - athena
                  _source:
                    type: object
                    allOf:
                      - $ref: '#/components/schemas/CatalogBrand'
                      - type: object
                        properties:
                          sort_name:
                            type: string
                            example: brand
                          hidden:
                            type: boolean
                            example: false
                          platform_type:
                            type: string
                            example: epic
      xml:
        name: lighthousecatalogsearch
    CatalogBrand:
      type: object
      description: Branding information for a healthcare institution
      properties:
        id:
          type: string
          format: uuid
          example: 8d4136dd-31b6-4a65-88a0-7ea22a2b16d6
        last_updated:
          type: string
          format: date-time
          example: '2024-04-03T10:00:00Z'
        name:
          type: string
          example: Acme Health, Inc.
        brand_website:
          type: string
          format: uri
          example: https://www.example.com/
        aliases:
          type: array
          items:
            type: string
          example:
            - Acme Health
            - Acme Health, Inc.
        description:
          type: string
          example: >-
            Acme Health, Inc. is a leading provider of healthcare services in
            the United States.
        portal_ids:
          type: array
          items:
            type: string
            format: uuid
          example:
            - 8d4136dd-31b6-4a65-88a0-7ea22a2b16d6
        brand_ids:
          type: array
          items:
            type: string
            format: uuid
          example:
            - 8d4136dd-31b6-4a65-88a0-7ea22a2b16d6
      xml:
        name: catalogportal

````